IEDIT_REMOVE_INSTRUCTIONS(3)

FUNCTION
iedit_remove_instructions - Remove instructions from an image edit list.

SYNOPSIS
#include <karma_iedit.h>

flag iedit_remove_instructions

(KImageEditList ilist, unsigned int num_to_remove)

DESCRIPTION
This routine will remove a number of edit instructions from a managed image edit instruction list. The <<loss_func>> function registered for this instruction list will be called at a future time.

ilist
    The instruction list.

num_to_remove
    The number of instructions to remove. If this is 0, all instructions are removed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/